Obter configurações
curl --request GET \
--url https://api.spedy.com.br/v1/companies/{id}/settings \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.spedy.com.br/v1/companies/{id}/settings"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.spedy.com.br/v1/companies/{id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"serviceInvoice": {
"series": "<string>",
"userName": "<string>",
"password": "<string>",
"nextBatchNumber": 123,
"authNumber": "<string>",
"nextNumber": 123
},
"productInvoice": {
"series": "<string>",
"nextNumber": 123
},
"consumerInvoice": {
"series": "<string>",
"nextNumber": 123,
"tokenId": "<string>",
"csc": "<string>",
"allowOfflineContingency": true
},
"general": {
"allowDuplicateFederalTaxNumbers": false,
"allowNaturalPersonCompany": true,
"allowMultipleInvoiceModelsPerOrder": false,
"decimalPrecision": 2,
"taxReformFieldsEnabled": false,
"technicalResponsible": {
"federalTaxNumber": "<string>",
"contactName": "<string>",
"email": "<string>",
"phone": "<string>",
"csrts": [
{
"idCsrt": 123,
"csrt": "<string>"
}
]
}
}
}Empresas
Obter configurações
Retorna as configurações de emissão da empresa (blocos general, productInvoice,
consumerInvoice e serviceInvoice) — série, numeração, ambiente, CSC e responsável técnico.
GET
/
v1
/
companies
/
{id}
/
settings
Obter configurações
Authorizations
Authorization By X-Api-Key inside request's header
Path Parameters
ID da empresa
⌘I